It's not a secret anymore!*
The moose likes IDEs, Version Control and other tools and the fly likes Eclipse 3.1.x, Birt 2.1.x and JBoss IDE 1.5 together Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of OCA/OCP Java SE 7 Programmer I & II Study Guide this week in the OCPJP forum!
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "Eclipse 3.1.x, Birt 2.1.x and JBoss IDE 1.5 together" Watch "Eclipse 3.1.x, Birt 2.1.x and JBoss IDE 1.5 together" New topic
Author

Eclipse 3.1.x, Birt 2.1.x and JBoss IDE 1.5 together

Tejas Shah
Greenhorn

Joined: Oct 26, 2009
Posts: 23

I want an eclipse 3.1.x distribution containing JBoss IDE 1.5 and Birt Report Designer 2.1.x for UBUNTU 8.04

I downloaded eclipse Galileo release(3.5) and it works fine but it asks me to upgrade all my reports to 2.5 version which further prevents them to be open in older IDE. Moreever, I'm not able to configure JBOss IDE 1.5 in it.

Then I tried Eclipse with JBoss IDE and installed Birt report framework along with EMF, GEF, WTP, XSD, DTP. I got a new perspective called 'Report Design' but when I open it, It shows "An SWT Error has occured. Please Exit the workbench" However I'm able to open XML format of .rptdesign file in JAVA perspective so I'm sure Plugin is working fine but designer has some problem with it.

So, Both of my efforts failed and I need to find something else. Please Let me know if I'm missing something. Thanks in Advance.

-Tejas
Cherish your life...!!
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: Eclipse 3.1.x, Birt 2.1.x and JBoss IDE 1.5 together